which plugin is best to secure your wordpress site from hackers

Discussion in 'Wordpress' started by Jessica Thomson, Oct 26, 2016.

  1. Jessica Thomson

    Jessica Thomson
    uix_expand uix_collapse
    New Member

    Joined:
    Oct 25, 2016
    Messages:
    25
    Likes Received:
    4
    Can anyone tell me that which free or paid WordPress plugin will be good enough for protecting my blogging site from the hackers ?

    plz share some credible and reliable plugin

    thanks you
     
  2. kaufenpreis

    kaufenpreis
    uix_expand uix_collapse
    Member

    Joined:
    Jun 11, 2014
    Messages:
    78
    Likes Received:
    1
    Acunetix Secure WordPress plugin is a free and comprehensive security tool that helps you secure your WordPress installation and suggests corrective measure.
     
  3. Mikedave

    Mikedave
    uix_expand uix_collapse
    New Member

    Joined:
    Nov 1, 2016
    Messages:
    8
    Likes Received:
    2
    did you try for Yoast SEO plugin? it's really best one. You can try for it.
     
  4. fisicx

    fisicx
    uix_expand uix_collapse
    Active Member
    Community Liaison 1.0

    Joined:
    Mar 3, 2016
    Messages:
    1,695
    Likes Received:
    145
    Sorry, but that is just about the worst advice you can give to anyone.

    Yoast is an awful plugin. It may be popular but so are a lot of tihngs that are bad for you. In any case it's an SEO plugin not a security plugin.

    If you want security start with WordFence, fail2ban and Stop User Enumeration.
     
  5. Dewlance

    Dewlance
    uix_expand uix_collapse
    Member

    Joined:
    Sep 3, 2015
    Messages:
    87
    Likes Received:
    4
    I do not use any plugin because of even plugin is not so secure but here is a good method I use to secure my wordpress blog.

    • Stop direct access to wp-admin area, Use .htaccess file to protect your administrator area. It will prevent brute force attack.
    • Regularly update your wordpress software and plugins.
    • Keep eye on security site where they release list of vulnerable plugin, etc.

    For plugin suggestion I only hear about "wp-admin login limit" plugin and use some other plugin but can't remember their name.
     
  6. fisicx

    fisicx
    uix_expand uix_collapse
    Active Member
    Community Liaison 1.0

    Joined:
    Mar 3, 2016
    Messages:
    1,695
    Likes Received:
    145
    That shows a complete lack of understanding of how plugins work.

    And you do a plugin: ckeditor. And many plugins will make your site more secure: wordfence, fail2ban, aksimet and stopuseremulation for example.
     
  7. Dewlance

    Dewlance
    uix_expand uix_collapse
    Member

    Joined:
    Sep 3, 2015
    Messages:
    87
    Likes Received:
    4
    Please visit to this site and clear your confusion about plugin security - wpvulndb.com
     
  8. fisicx

    fisicx
    uix_expand uix_collapse
    Active Member
    Community Liaison 1.0

    Joined:
    Mar 3, 2016
    Messages:
    1,695
    Likes Received:
    145
    I'm not confused at all.

    That site identifies vulnerabilities, this is not the same as saying all themes and plugins are insecure. And if you search wpvulndb.com you will find most vulnerabilities were fixed in later versions
     
  9. alastairbrian

    alastairbrian
    uix_expand uix_collapse
    Member

    Joined:
    Jun 16, 2014
    Messages:
    208
    Likes Received:
    4
    I have used wordfence on my WP sites, that has enabled a captcha to avoid spam. Also I try to install the security updates of WP to avoid any type of flaw in the security.
     
  10. Jessica Thomson

    Jessica Thomson
    uix_expand uix_collapse
    New Member

    Joined:
    Oct 25, 2016
    Messages:
    25
    Likes Received:
    4
    Thanks to all for your precious suggestions
     
  11. Smith-K

    Smith-K
    uix_expand uix_collapse
    Member

    Joined:
    Oct 21, 2015
    Messages:
    197
    Likes Received:
    11
    Yoast SEO is not used for the security aspects of Wordpress. It is mainly used for SEO purposes.
     
  12. overcast

    overcast
    uix_expand uix_collapse
    Member

    Joined:
    Oct 26, 2017
    Messages:
    153
    Likes Received:
    10
    Sucuri and the WP Security are two good plugins. And they can get most of the security issues on the backend patched. I have used sucuri and it seems to be enough for most of the security related tasks. I also think that Jetpack protects from spam and the login security issues.
     

Share This Page